Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.extractor.xpath
Interface TemplateXPathExtractionRule

All Superinterfaces:
  XPathExtractionRule

All Known Implementing Classes:
  TemplateXPathExtractionRuleImpl

    public interface TemplateXPathExtractionRule

extends XPathExtractionRule

Defines an `XPathExtractionRule` able to expand a `QuadTemplate` set based on a given template.

Author:
  Michele Mostarda (mostarda@fbk.eu)

Method Summary
`void` | `add(QuadTemplate template)` Adds a `QuadTemplate` to the rule.
`void` | `add(Variable variable)` Adds a variable to the template.
`String` | `getName()`
`boolean` | `remove(QuadTemplate template)` Removes a quad template from the rule.
`boolean` | `remove(Variable variable)` Removes a variable from the template.

Methods inherited from interface org.apache.any23.extractor.xpath.XPathExtractionRule
`acceptURI, process`

Method Detail

### getName

    String getName()

  Specified by:
    `getName` in interface `XPathExtractionRule`
  Returns:
    human readable description for this rule.

### add

    void add(Variable variable)

  Adds a variable to the template.

  Parameters:
    `variable` - variable to be added.

### remove

    boolean remove(Variable variable)

  Removes a variable from the template.

  Parameters:
    `variable` - variable to be removed.
  Returns:
    `true if the `variable` argument was found.`

### add

    void add(QuadTemplate template)

  Adds a `QuadTemplate` to the rule.

  Parameters:
    `template` - template instance to be added.

### remove

    boolean remove(QuadTemplate template)

  Removes a quad template from the rule.

  Parameters:
    `template` - template to be removed.
  Returns:
    `true` if the `template` argument was found.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.